> ## Documentation Index
> Fetch the complete documentation index at: https://docs.optexity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit an automation task

> Queue a browser automation task for asynchronous execution. Returns immediately with a `task_id`; the automation runs in the background. Use `priority` to control queue position within your login group — lower numbers run first, `null`/omitted runs last.



## OpenAPI

````yaml https://api.optexity.com/openapi.json post /api/v1/inference
openapi: 3.1.0
info:
  title: Dashboard Backend API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/inference:
    post:
      tags:
        - inference
      summary: Submit an automation task
      description: >-
        Queue a browser automation task for asynchronous execution. Returns
        immediately with a `task_id`; the automation runs in the background. Use
        `priority` to control queue position within your login group — lower
        numbers run first, `null`/omitted runs last.
      operationId: inference_api_v1_inference_post
      parameters:
        - name: x-callback-url
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Callback-Url
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InferenceRequest'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InferenceRequest:
      properties:
        endpoint_name:
          type: string
          title: Endpoint Name
        input_parameters:
          additionalProperties:
            items:
              anyOf:
                - type: string
                - type: integer
                - type: number
                - type: boolean
            type: array
          type: object
          title: Input Parameters
        unique_parameter_names:
          items:
            type: string
          type: array
          title: Unique Parameter Names
        secure_parameters:
          additionalProperties:
            items:
              $ref: '#/components/schemas/SecureParameter'
            type: array
          type: object
          title: Secure Parameters
        rdp_parameter:
          anyOf:
            - $ref: '#/components/schemas/RDPParameter'
            - type: 'null'
        max_timeout_in_minutes:
          type: integer
          title: Max Timeout In Minutes
          default: 10
        use_proxy:
          type: boolean
          title: Use Proxy
          default: false
        is_dedicated:
          type: boolean
          title: Is Dedicated
          default: false
        task_callback_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Callback Url
        task_callback_api_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Task Callback Api Key
        max_parallelism:
          type: integer
          title: Max Parallelism
          default: 1
        per_login_parallelism:
          type: integer
          title: Per Login Parallelism
          default: 1
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          title: Priority
      type: object
      required:
        - endpoint_name
        - input_parameters
      title: InferenceRequest
    InferenceResponse:
      properties:
        success:
          type: boolean
          title: Success
        message:
          type: string
          title: Message
        task_id:
          type: string
          title: Task Id
      type: object
      required:
        - success
        - message
        - task_id
      title: InferenceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SecureParameter:
      properties:
        onepassword:
          anyOf:
            - $ref: '#/components/schemas/OnePasswordParameter'
            - type: 'null'
        amazon_secrets_manager:
          anyOf:
            - $ref: '#/components/schemas/AmazonSecretsManagerParameter'
            - type: 'null'
        totp:
          anyOf:
            - $ref: '#/components/schemas/TOTPParameter'
            - type: 'null'
      type: object
      title: SecureParameter
    RDPParameter:
      properties:
        host:
          type: string
          title: Host
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
      type: object
      required:
        - host
      title: RDPParameter
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OnePasswordParameter:
      properties:
        vault_name:
          type: string
          title: Vault Name
        item_name:
          type: string
          title: Item Name
        field_name:
          type: string
          title: Field Name
        type:
          type: string
          enum:
            - raw
            - totp_secret
          title: Type
          default: raw
        digits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Digits
      type: object
      required:
        - vault_name
        - item_name
        - field_name
      title: OnePasswordParameter
    AmazonSecretsManagerParameter:
      properties:
        secret_name:
          type: string
          title: Secret Name
        region_name:
          type: string
          title: Region Name
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        type:
          type: string
          enum:
            - raw
            - totp_secret
          title: Type
          default: raw
        digits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Digits
      type: object
      required:
        - secret_name
        - region_name
      title: AmazonSecretsManagerParameter
    TOTPParameter:
      properties:
        totp_secret:
          type: string
          title: Totp Secret
        digits:
          type: integer
          title: Digits
          default: 6
      type: object
      required:
        - totp_secret
      title: TOTPParameter

````